#
# Spec file for package ecryptfs-simple
#
# Copyright © 2016 Francis Banyikwa <mhogomchungu@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

Name:           ecryptfs-simple
Version:        2016.11.16.1
Release:        2%{?dist}
Summary:        A CLI front end to ecryptfs that works with normal user account
# included ecryptfs-simple.c is clearly GPLv2 only (no ... or later clause).
License:        GPLv2
URL:            https://github.com/mhogomchungu/%{name}
Source:         %{url}/releases/download/2016.11.16.1/%{name}.%{version}.tar.xz

BuildRequires: cmake
BuildRequires: gcc
BuildRequires: libgcrypt-devel
BuildRequires: ecryptfs-utils-devel
BuildRequires: libmount-devel

BuildRequires: keyutils-libs-devel

%description
%{summary}.


%prep
%setup -qn%{name}.%{version}

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%cmake ..
popd
%make_build -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files
%{_bindir}/%{name}
%doc CHANGELOG README.md
%license COPYING


%changelog
* Thu Feb 26 2017 Raphael Groner <projects.rg@smart.ms> - 2016.11.16.1-2
- remove useless _hardened_build macro
- fix needed BR for gcc
- use make install/fast
- remove chmod scriptlet
- use GPLv2

* Wed Dec 07 2016 Raphael Groner <projects.rg@smart.ms> - 2016.11.16.1-1
- adopt for Fedora

* Mon Nov 14 2016 Francis Banyikwa <mhogomchungu@gmail.com> - 2016-0
- initial
